## vaapih265dec

vaapih265dec — A VA-API based H265 video decoder

## Description

vaapih265dec decodes from H265 bitstreams to surfaces suitable for the vaapisink or vaapipostproc elements using the installed VA-API back-end.

In the case of OpenGL based elements, the buffers have the GstVideoGLTextureUploadMeta meta, which efficiently copies the content of the VA-API surface into a GL texture.

Also it can deliver normal video buffers that can be rendered or processed by other elements, but the performance would be rather bad.

### Example launch line

    1

    gst-launch-1.0 filesrc location=./sample.bin ! h265parse ! vaapih265dec ! vaapisink

## Functions

## Types and Values